Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.isismtt.x509
Class Admissions

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.isismtt.x509.Admissions

All Implemented Interfaces:
  DEREncodable

    public class Admissions

extends ASN1Encodable

An Admissions structure.

                Admissions ::= SEQUENCE
                {
                  admissionAuthority [0] EXPLICIT GeneralName OPTIONAL
                  namingAuthority [1] EXPLICIT NamingAuthority OPTIONAL
                  professionInfos SEQUENCE OF ProfessionInfo
                }

See Also:
  `AdmissionSyntax`, `ProfessionInfo`, `NamingAuthority`

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`Admissions(GeneralName admissionAuthority, NamingAuthority namingAuthority, ProfessionInfo[] professionInfos)` Constructor from a given details.

Method Summary
`GeneralName` | `getAdmissionAuthority()`
`static Admissions` | `getInstance(java.lang.Object obj)`
`NamingAuthority` | `getNamingAuthority()`
`ProfessionInfo[]` | `getProfessionInfos()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Admissions

    public Admissions(GeneralName admissionAuthority,
                      NamingAuthority namingAuthority,
                      ProfessionInfo[] professionInfos)

  Constructor from a given details.

  Parameter `professionInfos` is mandatory.

  Parameters:
    `admissionAuthority` - The admission authority.
    `namingAuthority` - The naming authority.
    `professionInfos` - The profession infos.

Method Detail

### getInstance

    public static Admissions getInstance(java.lang.Object obj)

### getAdmissionAuthority

    public GeneralName getAdmissionAuthority()

### getNamingAuthority

    public NamingAuthority getNamingAuthority()

### getProfessionInfos

    public ProfessionInfo[] getProfessionInfos()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

  Returns:

             Admissions ::= SEQUENCE
             {
               admissionAuthority [0] EXPLICIT GeneralName OPTIONAL
               namingAuthority [1] EXPLICIT NamingAuthority OPTIONAL
               professionInfos SEQUENCE OF ProfessionInfo
             }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a DERObject

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD